%global module_name pyo

Name:		python-pyo
Version:	0.6.9
Release:	1%{?dist}
Summary:	Python digital signal processing module

License:	GPLv3
URL:		http://ajaxsoundstudio.com/software/pyo/
Source0:	http://ajaxsoundstudio.com/downloads/%{module_name}_%{version}-src.tar.bz2

BuildRequires:	python-devel
BuildRequires:	liblo-devel
BuildRequires:	portaudio-devel
BuildRequires:	portmidi-devel
BuildRequires:	libsndfile-devel

%description
Pyo is a Python module written in C to help DSP script creation. Pyo contains
classes for a wide variety of audio signal processing. With pyo, the user will
be able to include signal processing chains directly in Python scripts or
projects, and to manipulate them in real time through the interpreter. Tools in
the pyo module offer primitives, like mathematical operations on audio signals,
basic signal processing (filters, delays, synthesis generators, etc.), but also
complex algorithms to create sound granulation and other creative audio
manipulations. pyo supports the OSC protocol (Open Sound Control) to ease
communications between softwares, and the MIDI protocol for generating sound
events and controlling process parameters. pyo allows the creation of
sophisticated signal processing chains with all the benefits of a mature, and
widely used, general programming language.

%prep
%setup -qn %{module_name}_%{version}-src


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python2} setup.py install -O1 --use-jack --skip-build --prefix=%{_prefix} --root $RPM_BUILD_ROOT
chmod 0755 %{buildroot}%{python2_sitearch}/_pyo.so

 
%files
# Licence file will come with next release (#59)
%doc ChangeLog
%{python2_sitearch}/*
%{python2_sitearch}/%{name}-%{version}-py%{python2_version}.egg-info


%changelog
* Mon Aug 11 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.6.9-1
- Initial packaging
